#
# spec file for package python-SQLAlchemy-Utils
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-SQLAlchemy-Utils
Version:        0.32.7
Release:        1.1
Summary:        Various utility functions for SQLAlchemy
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/kvesteri/sqlalchemy-utils
Source:         https://pypi.io/packages/source/S/SQLAlchemy-Utils/SQLAlchemy-Utils-%{version}.tar.gz
BuildRequires:  python-SQLAlchemy
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-SQLAlchemy
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Various utility functions and custom data types for SQLAlchemy.

%prep
%setup -q -n SQLAlchemy-Utils-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Fri Jun  3 2016 tbechtold@suse.com
- update to 0.32.7:
  - Made PhoneNumber exceptions inherit SQLAlchemy's DontWrapMixin
  - Added support for timezones with ArrowType
  - Fixed import issue with latest version of SQLAlchemy
  - Added LtreeType for PostgreSQL ltree extension
  - Added Ltree primitive data type
  - Added support for PhoneNumber objects as composites
  - Fixed PasswordType to not access LazyCryptContext on type init
  - Fixed database helpers for sqlite
  - Fixed TranslationHybrid aliased entities handling
  - Dropped py26 support
  - Made PasswordType to use LazyCryptContext by default
  - Added literal parameter processing for ArrowType
  - Fixed scalar parsing of LocaleType
  - Fixed column alias handling with assert_* functions
  - Fixed non-ascii string handling in composite types
  - Fixed observes crashing when observable root_obj is ``None``
  - Column observers only notified when actual changes have been made
    to underlying columns
  - Made has_index allow fk constraint as parameter
  - Made has_unique_index allow fk constraint as parameter
  - Made the extra packages in setup.py to be returned in deterministic order
  - Removed is_indexed_foreign_key (superceded by more versatile has_index)
  - Fixed LocaleType territory parsing (courtesy of dahlia)
  - Added correlate parameter to select_correlated_expression function
  - Fixed sort_query handling of aliased classes with hybrid properties
  - Added support for aliased classes in get_hybrid_properties utility function
  - Added cast_if utility function
  - Added support for InstrumentedAttributes, ColumnProperties and Columns in
    get_columns function
  - Added support for PhoneNumber extensions
  - Fix None type handling of ChoiceType
  - Make locale casting for translation hybrid expressions cast locales on
    compilation phase. This extra lazy locale casting is needed in some
    cases where translation hybrid expressions are used before get_locale
  - Added better support for dynamic locales in translation_hybrid
  - Make babel dependent primitive types to use Locale('en') for data validation
    instead of current locale. Using current locale leads to infinite recursion
    in cases where the loaded data has dependency to the loaded object's locale.
  - Added get_type utility function
  - Added default parameter for array_agg function
  - Added Asterisk compiler
  - Added row_to_json GenericFunction
  - Added array_agg GenericFunction
  - Made quote function accept dialect object as the first paremeter
  - Made has_index work with tables without primary keys
  - Fixed CompositeType null handling
  - Made psycopg2 requirement optional
  - Made CompositeArray work with tuples given as bind parameters
  - Fixed CompositeType bind parameter processing when one of the fields is of
    TypeDecorator type and
  - Fixed CompositeType bind parameter processing when one of the fields is
    of TypeDecorator type.
  - Added length property to range types
  - Added CompositeType for PostgreSQL
  - Fixed ``assert_max_length``, ``assert_non_nullable``, ``assert_min_value``
    and ``assert_max_value`` not properly raising an ``AssertionError`` when
    the assertion failed.
  - Drop undocumented batch fetch feature. Let's wait until the inner workings
    of SQLAlchemy loading API is well-documented.
  - Fixed GenericRelationshipProperty comparator to work with SA 1.0.x
  - Make all foreign key helpers SA 1.0 compliant
  - Make translation_hybrid expression work the same way as SQLAlchemy-i18n
    translation expressions
  - Update SQLAlchemy dependency to 1.0
  - Added __hash__ method to Country class
  - Made Country validate itself during object initialization
  - Made Country string coercible
  - Removed deprecated function generates
  - Fixed observes function to work with simple column properties
  - Added CurrencyType
* Wed Feb 10 2016 tbechtold@suse.com
- Install LICENSE and README.rst
* Fri Mar 27 2015 prusnak@opensuse.org
- created package (version 0.29.8)
